GRAPHDEFANG(1)

NAME
Application for generating graphs from mimedefang log files.

SYNOPSIS
graphdefang.pl [options]

Options:
  --help brief help message
  --man full documentation
  --quiet quiet output
  --nodb do not update SummaryDB
  --trim trim the SummaryDB
  --nomax ignore the max date/time in SummaryDB
  --file optional log file to parse

If called with no options, graphdefang.pl will parse the logfile as defined by the $DATAFILE variable.

OPTIONS

--help
    Print a brief help message and exits.

--man
    Prints the manual page and exits.

--quiet
    Do not produce status output from mimedefang.pl.

--nodb
    Do not use nor update the SummaryDB, just parse the file and draw graphs from it.

--trim
    Trim the SummaryDB to cut out old data. It trims out: 1. hourly data older than 1.25x$NUM_HOURS_SUMMARY hours 2. daily data older than 1.25x$NUM_DAYS_SUMMARY days 3. all but top 25 sender, recipient, value1, value2, subject values
        for all dates prior to the current hour, day, and month..

--nomax
    Ignore the max date/time in the SummaryDB; add all lines from the parsed file to the database.

--file
    Optional log file to parse. If this option is not set, graphdefang will use the $DATAFILE variable.

DESCRIPTION
graphdefang.pl will read a file that contains syslog messages from mimedefang, update its internal summary database, and produce graphs as requested by the user.